<?


/**
 * @function : Formulaire Mail
 * @author :	Matthieu DELOISON  - www.delfiweb.com
 * @version : 1
 * @date : 17/01/2006
 * @upadte : 18/01/2006
 * @notes : 
 * 	- vrifie si le champ mail est valide.
 *  - vrifie si tous les champs sont remplis
 *  - effet d'animation sur le formulaire
 *
 */
 
 
/*--- rcupration des infos transmises par flash lors de l'envoie du mail ---*/
if(isset($_REQUEST["pseudo"]))
{
	$s_pseudo = $_REQUEST['pseudo']; 
	$s_expediteur  = $_REQUEST['expediteur'];
	$s_sujet = $_REQUEST['sujet'];
	$s_msgmail = $_REQUEST['msgmail'];
	$s_Adr_Envoi = "votre.mail@fai.net"; // l'adresse mail de destination du formulaire
	
	// composition de l'header du mail (entte)
	$entete  = "";
	$entete.= 'From: "' . $s_pseudo . '" <' . $s_expediteur . ">\nContent-Type: text/html; charset=iso-8859-1";
	$entete.= 'Reply-To: "' . $s_pseudo . '" <' . $s_expediteur . ">\r\n";
	$entete.= "X-Mailer: PHP/" . phpversion();

	//mise en forme des variables texte
	$referer = $_SERVER["HTTP_REFERER"];
	$s_sujet_msg = texteformat($s_sujet, false);
	
	//$s_corsp_msg = "Origine du message : ".$referer."\n\nMessage depuis le site DelfiWeb.com : \n\n";
	$s_corsp_msg = "<u>Message depuis le site DelfiWeb.com : </u><br /><br />";
	$s_corsp_msg .= texteformat($s_msgmail, true);

	
	
	// Envoi du message
	$mail_OK = mail($s_Adr_Envoi, $s_sujet_msg, $s_corsp_msg, $entete) ;

	// retour au flash pour dire si le mail a t envoy ou non	 
	if ($mail_OK == TRUE ) 
	{
		echo "reponse=DelfiWeb.com vous remercie pour votre mail.";	
	}
	else
	{
		echo "reponse=Erreur durant l'envoie de votre mail.";
	}
	
	exit();		
}


// entre : une chaine de caractres UFT8, un boolen qui spcifie le type  dcoder (sujet ou message)
// sortie  : une chaine de caractres formate
// fonction : mettre en forme le contenu d'une variable afin de l'envoyer par mail.
function texteformat($texte, $b_type)
{ 
         $texte = utf8_decode(urldecode($texte)); // Flash MX envoi du texte au format utf-8, cette ligne permet de decoder ce texte et de l'adapter au format d'un mail
         $texte = trim($texte); // Retire les espaces blancs inutiles en debut et fin de chaine -> http://dev.nexen.net/docs/php/annotee/function.trim.php 
         $texte = stripslashes($texte); // Retire les \ de la chaine -> http://dev.nexen.net/docs/php/annotee/function.stripslashes.php 
         $texte = nl2br($texte); // Converti les retours charriots en <br> -> http://dev.nexen.net/docs/php/annotee/function.nl2br.php 
         $texte = str_replace("&gt;", ">", $texte); // str_replace remplace les caractres par d'autres caractres dans la chaine placée en paramètre -> 
         $texte = str_replace("&lt;", "<", $texte); //http://dev.nexen.net/docs/php/annotee/function.str-replace.php 

         $texte = strip_tags($texte, '&nbsp;<a><b><i><u><img><br><br />\n'); // N'autorise que certaines balises html -> http://dev.nexen.net/docs/php/annotee/function.strip-tags.php 
		 
		 if( $b_type == TRUE)
		 {
			  //  cause du passage des variables en GET avec flash, on a remplac les sauts de ligne par "1111" et les espaces par "2222"
			 $s_accentues = array("34zz","11zz","22zz","33zz","44zz","55zz","66zz","77zz","88zz","99zz","1122zz","2211zz");
			 $s_utf8 = array("","<br />","&nbsp;","&#224;","&#231;","&#232;","&#233;","&#234;","&#235;","&#238;","&#244;","&#249;");
		 }
		 else
		 {
			  //  cause du passage des variables en GET avec flash, on a remplac les sauts de ligne par "1111" et les espaces par "2222"
			 $s_accentues = array("33zz","44zz","55zz","66zz","77zz","88zz","99zz","1122zz","2211zz");
			 $s_utf8 = array("","","","","","","","","");
		 }
		 $texte = str_replace($s_accentues, $s_utf8, $texte);
		 
         return $texte; 
}


/*--- Cration du fichier xml contenant les textes ---*/
$s_xml = "<?xml version=\"1.0\" encoding=\"utf-8\" ?>
";
$s_xml .= "
<texte langue=\"FR\">
	<t id=\"0\">Votre Pseudo :</t>
	<t id=\"1\">Votre @mail :</t>
	<t id=\"2\">Le Sujet :</t>
	<t id=\"3\">Votre message :</t>
	
	<t id=\"4\">Veuillez renseigner votre pseudo...</t>
	<t id=\"5\">Veuillez renseigner votre mail...</t>
	<t id=\"6\">Veuillez renseigner le sujet...</t>
	<t id=\"7\">Veuillez rdiger un message...</t>
	<t id=\"8\">Veuillez renseigner une @mail valide...</t>
	
	<t id=\"11\">Annuler</t>
	<t id=\"12\">Envoyer</t>
	
	<t id=\"21\"><center><b>Ecrire au webmaster</b></center></t>
	<t id=\"22\"><center><b>Envoie du mail en cours...</b></center></t>

	";	
$s_xml .= "\n</texte>";	

/*--- mise en utf8 des caractres accentus ---*/
$s_accentues = array("","","","","","","","","");
$s_utf8 = array("&#224;","&#231;","&#232;","&#233;","&#234;","&#235;","&#238;","&#244;","&#249;");

$s_xml = str_replace($s_accentues, $s_utf8, $s_xml);

/*--- cration du fichier xml ---*/
$nomFic = $s_urlficxml = "strings.xml"; // l'url du fichier sxml contenant toutes les chaines
$fichier = fopen($nomFic,"w");
fwrite($fichier,$s_xml);
fclose($fichier);	

$s_ficphp = "mail.php"; // l'url du fichier php effectuant l'envoie du mail

?>

<meta http-equiv="Content-Type" content="text/php; charset=iso-8859-1">
<meta name="generator" content="PHPEdit">
<meta name="author" content="matthieu">
<META NAME="DESCRIPTION" CONTENT="Bienvenue sur DelfiWeb. Cration de sites Internet, jeux flash, formation informatique.Galerie Photo Flash Dynamique gratuite.Lecteur Flux RSS Flash gratuit.">
<META NAME="KEYWORDS" CONTENT="france,auvergne,puy de dome,clermont ferrand,galerie,photo,dynamique,flash,gratuite,lecteur,flux,rss,jeux,prizee,action script,macromedia,dreamweaver,sites,internet,  photographie, gratuit, gratuite, web, flash, developpement, internet, freelance, infographie, webmaster, conception, realisation, site, gallerie, image, video, animation, animations, internet, services, site, web, internet, developpeur, programmation, communication, site web, communication web, prestation de services, formation, conseil, marketing, Infographiste, image, javascript, html, programmation, veille technologique, concept, ergonomie, design, habillage tl">
<META NAME="robots" CONTENT="index">
<META NAME="REVISIT-AFTER" CONTENT="10 days">
<META NAME="Reply-to" CONTENT="didier30@yahoo.fr">
<title>Agence de cration DelfiWeb.com</title>
</head>
<body bgcolor="#ffffff">

<center>
<!--URL utilises dans l'animation-->
<!--texte utilis dans l'animation-->
<!-- saved from url=(0013)about:internet -->
<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553590000" codebase="http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=8,0,0,0" width="550" height="400" id="news" align="middle">
<param name="allowScriptAccess" value="sameDomain" />
<param name="movie" value="loader.swf?nomswf=mail.swf&largeur=550&hauteur=400&version=1&urlficxml=<? echo $s_urlficxml; ?>&ficphp=<? echo $s_ficphp; ?>" />
<param name="quality" value="high" />
<param name="flashvars" VALUE="" />
<embed src="loader.swf?nomswf=mail.swf&version=1&largeur=550&hauteur=400&urlficxml=<? echo $s_urlficxml; ?>&ficphp=<? echo $s_ficphp; ?>" quality="high" bgcolor="#ffffff" width="550" height="400" name="news" align="middle" allowScriptAccess="sameDomain" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer" flashvars="" />
<param name="scale" value="noscale" />
<param name="BGCOLOR" value="#ffffcc" />
</object>
<br /><br />

<a href="../" >Retour sur DelfiWeb.com</a>
</center>


</body>
</html>

